[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Imlib2 (was: Re: Request for review: Enlightenment DR17 + EFL)



On 5/30/05, Michael Schwendt <bugs michael gmx net> wrote:
> On Mon, 30 May 2005 11:56:02 +0800, Didier Casse wrote:
> 
> > > > Well we differentiate between the different imlib_loaders. ;-)
> > > >
> > > > If you prefer to package them as imlib2_loaders-xxx.rpm. This can also
> > > > be done. But remember that a normal user needs only the 3 basic
> > > > loaders (jpeg, png argb) to run DR17.
> > >
> > > Via explicit package dependencies in every package which needs Imlib2?
> > > This is ugly.
> > >
> > Hi Michael,
> >
> > I just peeked at imlib2.spec in extras. Well you decided to link the
> > loaders to the main lib. This packing is fine with me. ;-)
> 
> Are you sure you understood that correctly? (see %changelog)
> That is just an unrelated bug-fix. The individual loaders are still available.
> 
Perhaps I expressed myself wrongly... I did understand what you did:

You have all the stuff (loaders, filters, etc...) in imlib2

and your imlib2-devel only contains:

/usr/bin/imlib2-config
/usr/include/Imlib2.h
/usr/lib/libImlib2.a
/usr/lib/libImlib2.la
/usr/lib/libImlib2.so
/usr/lib/pkgconfig/imlib2.pc

which I repeat is fine with me. Don't tell me I got that wrong!

-- 
Cheers,
Didier.

------------
Yum/apt repository for DR17/EFL: http://sps.nus.edu.sg/~didierbe

Didier F.B Casse
PhD candidate, Singapore Synchrotron Light Source (SSLS)
National University of Singapore.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]